Upload file
curl --request POST \
--url https://planefs-uploads.s3.amazonaws.com/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"Content-Type": "<string>",
"key": "<string>",
"x-amz-algorithm": "<string>",
"x-amz-credential": "<string>",
"x-amz-date": "<string>",
"policy": "<string>",
"x-amz-signature": "<string>"
}
'import requests
url = "https://planefs-uploads.s3.amazonaws.com/"
payload = {
"Content-Type": "<string>",
"key": "<string>",
"x-amz-algorithm": "<string>",
"x-amz-credential": "<string>",
"x-amz-date": "<string>",
"policy": "<string>",
"x-amz-signature": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'Content-Type': '<string>',
key: '<string>',
'x-amz-algorithm': '<string>',
'x-amz-credential': '<string>',
'x-amz-date': '<string>',
policy: '<string>',
'x-amz-signature': '<string>'
})
};
fetch('https://planefs-uploads.s3.amazonaws.com/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Work Item Attachments
Upload file
Upload the file using the credentials generated by the Get upload credentials endpoint.
POST
/
Upload file
Self-hosted instancesUse the upload URL returned by the Get upload credentials endpoint.
Body parameters
string
required
The MIME type of the file
string
required
The target path/filename in S3
string
required
AWS signature algorithm (AWS4-HMAC-SHA256)
string
required
AWS signature algorithm (AWS4-HMAC-SHA256)
string
required
Request timestamp
string
required
Base64-encoded policy document
string
required
Request signature
file
required
The file to be uploaded
⌘I

